Python error:  couldn't load plugin 'processing' (python error)
Status: Closed

Priority: Normal

Assignee: Victor Olaya

Category: Processing/Core

Affected QGIS version:3.0.0 Regression?: No

Operating System: Windows 7 Pro Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 26129

Description

Installed QGIS 3.0 today.  On startup receiving this error

Python error:  Couldn't load plugin'processing' See message log (Python Error) for more details.

Python error log:

2018-02-26T16:08:39    WARNING    Traceback (most recent call last):

              File "C:/OSGEO4~1/apps/qgis/./python\qgis\utils.py", line 311, in loadPlugin

import(packageName)

              File "C:/OSGEO4~1/apps/qgis/./python\qgis\utils.py", line 664, in import

                mod = _builtin_import(name, globals, locals, fromlist, level)

              File "C:/OSGEO4~1/apps/qgis/./python/plugins\processing\_init__.py", line 29, in <module>

                from processing.tools.general import *              # NOQA

              File "C:/OSGEO4~1/apps/qgis/./python\qgis\utils.py", line 664, in import

                mod = _builtin_import(name, globals, locals, fromlist, level)

              File "C:/OSGEO4~1/apps/qgis/./python/plugins\processing\tools\general.py", line 39, in <module>

                from processing.core.Processing import Processing

              File "C:/OSGEO4~1/apps/qgis/./python\qgis\utils.py", line 664, in _import

                mod = _builtin_import(name, globals, locals, fromlist, level)

              File "C:/OSGEO4~1/apps/qgis/./python/plugins\processing\core\Processing.py", line 57, in <module>

                from processing.algs.qgis.QgisAlgorithmProvider import QgisAlgorithmProvider  # NOQA

              File "C:/OSGEO4~1/apps/qgis/./python\qgis\utils.py", line 664, in _import

                mod = _builtin_import(name, globals, locals, fromlist, level)

              File "C:/OSGEO4~1/apps/qgis/./python/plugins\processing\algs\qgis\QgisAlgorithmProvider.py", line 41, in <module>

                from .QgisAlgorithm import QgisAlgorithm

              File "C:/OSGEO4~1/apps/qgis/./python\qgis\utils.py", line 664, in _import

                mod = _builtin_import(name, globals, locals, fromlist, level)

              File "C:/OSGEO4~1/apps/qgis/./python/plugins\processing\algs\qgis\QgisAlgorithm.py", line 30, in <module>

                from processing.algs.help import shortHelp

              File "C:/OSGEO4~1/apps/qgis/./python\qgis\utils.py", line 664, in _import

                mod = _builtin_import(name, globals, locals, fromlist, level)

              File "C:/OSGEO4~1/apps/qgis/./python/plugins\processing\algs\help\_init__.py", line 28, in <module>

                import yaml

              File "C:/OSGEO4~1/apps/qgis/./python\qgis\utils.py", line 664, in _import

                mod = _builtin_import(name, globals, locals, fromlist, level)

            ImportError: bad magic number in 'yaml': b'\x03\xf3\r\n'

History

#1 - 2018-02-27 01:27 AM - rmercer -

2025-06-08 1/2



- File 2018-02-26_16-22-48_crop.png added

I am not sure if this is related, but I think this failure to load the plugin is affecting the Vector menu.  It does not open when it is clicked.  Please see attached

screenshot.  If you think this is something different, please let me know and I'll submit a new specific bug.

Thanks,

#2 - 2018-02-27 01:57 AM - Nyall Dawson

- Status changed from Open to Feedback

Try removing your existing osgeo4w install folder and then re-installing. You have some leftover files from an earlier build in there which is causing this

issue.

#3 - 2018-02-27 02:40 AM - rmercer -

That did indeed solve the problem.  It would be helpful to have a note about that on the download/install page, as I don't recall this being necessary in other

version upgrades.

Thanks much!

#4 - 2018-03-01 09:08 AM - Alexander Bruy

- Resolution set to fixed/implemented

- Status changed from Feedback to Closed

Files

2018-02-26_16-22-48_crop.png 161 KB 2018-02-27 rmercer -

2025-06-08 2/2


